> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check is WhatsApp

> Check if numbers are on WhatsApp



## OpenAPI

````yaml openapi-v2 POST /chat/whatsappNumbers/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /chat/whatsappNumbers/{instance}:
    post:
      tags:
        - Chat Controller
      summary: WhatsApp Numbers
      description: Check if numbers are on WhatsApp
      operationId: whatsappNumbers
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                numbers:
                  type: array
                  description: Phone numbers (with country code) to be checked
                  items:
                    type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    exists:
                      type: boolean
                      description: Indicates whether the WhatsApp account exists.
                    jid:
                      type: string
                      description: The JID of the WhatsApp account.
                    number:
                      type: string
                      description: The phone number associated with the WhatsApp account.
                description: >-
                  Array of objects representing WhatsApp account existence
                  information.
                example:
                  - exists: true
                    jid: 553198296801@s.whatsapp.net
                    number: '553198296801'
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````